<?php
/* Autor...: William L. Taype Perez */
/* Esquema.: CP_DocRecibo.xml */
/* Generado: 2021-10-19 07:59:09 */

/* Mantenimiento de los registros de la tabla CP_DocRecibo */
abstract class BaseCP_DocReciboDP extends CP_DocReciboBV
{
    /* Constructor ( Establece los valores desde un objeto CP_DocReciboBN ) */
    public function __construct( CP_DocReciboBN $o_CP_DocReciboBN = null )
    {
        parent::__construct();
        if ( !is_null( $o_CP_DocReciboBN ) )
        {
            $this->setByBN( $o_CP_DocReciboBN );
        }
    }

    public $b_Debug = false;

    public function getDebug()
    {
        if( SF_DEBUG )
        {
            $this->b_Debug = true;
        }
        return $this->b_Debug;
    }

    public function setDebug( $v )
    {
        $this->b_Debug = $v;
    }

    /* Establece los valores desde un objeto CP_DocReciboBN */
    public function setByBN( CP_DocReciboBN $o_CP_DocReciboBN )
    {
        if ( !is_null( $o_CP_DocReciboBN->getIdDocRecibo() ) )
        {
            $this->setIdDocRecibo( $o_CP_DocReciboBN->getIdDocRecibo() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getIdCompania() ) )
        {
            $this->setIdCompania( $o_CP_DocReciboBN->getIdCompania() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getIdSucursal() ) )
        {
            $this->setIdSucursal( $o_CP_DocReciboBN->getIdSucursal() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getParentId() ) )
        {
            $this->setParentId( $o_CP_DocReciboBN->getParentId() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getParentCod() ) )
        {
            $this->setParentCod( $o_CP_DocReciboBN->getParentCod() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getIdTipoPago() ) )
        {
            $this->setIdTipoPago( $o_CP_DocReciboBN->getIdTipoPago() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getIdMoneda() ) )
        {
            $this->setIdMoneda( $o_CP_DocReciboBN->getIdMoneda() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getMonedaDes() ) )
        {
            $this->setMonedaDes( $o_CP_DocReciboBN->getMonedaDes() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getReciboNumero() ) )
        {
            $this->setReciboNumero( $o_CP_DocReciboBN->getReciboNumero() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getReciboFecha() ) )
        {
            $this->setReciboFecha( $o_CP_DocReciboBN->getReciboFecha() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getIdBanco() ) )
        {
            $this->setIdBanco( $o_CP_DocReciboBN->getIdBanco() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getIdCuenta() ) )
        {
            $this->setIdCuenta( $o_CP_DocReciboBN->getIdCuenta() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getNumeroCuenta() ) )
        {
            $this->setNumeroCuenta( $o_CP_DocReciboBN->getNumeroCuenta() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getTerminoPago() ) )
        {
            $this->setTerminoPago( $o_CP_DocReciboBN->getTerminoPago() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getFechaVencimiento() ) )
        {
            $this->setFechaVencimiento( $o_CP_DocReciboBN->getFechaVencimiento() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getIdNumeroDocumento() ) )
        {
            $this->setIdNumeroDocumento( $o_CP_DocReciboBN->getIdNumeroDocumento() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getClaseNombre() ) )
        {
            $this->setClaseNombre( $o_CP_DocReciboBN->getClaseNombre() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getTipoCambio() ) )
        {
            $this->setTipoCambio( $o_CP_DocReciboBN->getTipoCambio() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getIdPersona() ) )
        {
            $this->setIdPersona( $o_CP_DocReciboBN->getIdPersona() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getTipoDocCliente() ) )
        {
            $this->setTipoDocCliente( $o_CP_DocReciboBN->getTipoDocCliente() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getNumTipoDocCliente() ) )
        {
            $this->setNumTipoDocCliente( $o_CP_DocReciboBN->getNumTipoDocCliente() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getNombreCliente() ) )
        {
            $this->setNombreCliente( $o_CP_DocReciboBN->getNombreCliente() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getDescripcion() ) )
        {
            $this->setDescripcion( $o_CP_DocReciboBN->getDescripcion() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getMonto() ) )
        {
            $this->setMonto( $o_CP_DocReciboBN->getMonto() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getSaldo() ) )
        {
            $this->setSaldo( $o_CP_DocReciboBN->getSaldo() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getMontoMN() ) )
        {
            $this->setMontoMN( $o_CP_DocReciboBN->getMontoMN() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getSaldoMN() ) )
        {
            $this->setSaldoMN( $o_CP_DocReciboBN->getSaldoMN() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getMontoME() ) )
        {
            $this->setMontoME( $o_CP_DocReciboBN->getMontoME() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getSaldoME() ) )
        {
            $this->setSaldoME( $o_CP_DocReciboBN->getSaldoME() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getFechaAprobacion() ) )
        {
            $this->setFechaAprobacion( $o_CP_DocReciboBN->getFechaAprobacion() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getApruebaUsuario() ) )
        {
            $this->setApruebaUsuario( $o_CP_DocReciboBN->getApruebaUsuario() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getFechaCobranza() ) )
        {
            $this->setFechaCobranza( $o_CP_DocReciboBN->getFechaCobranza() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getCobranzaEstado() ) )
        {
            $this->setCobranzaEstado( $o_CP_DocReciboBN->getCobranzaEstado() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getFlujoEstado() ) )
        {
            $this->setFlujoEstado( $o_CP_DocReciboBN->getFlujoEstado() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getEstado() ) )
        {
            $this->setEstado( $o_CP_DocReciboBN->getEstado() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getFechaCreacion() ) )
        {
            $this->setFechaCreacion( $o_CP_DocReciboBN->getFechaCreacion() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getUsuarioCreacion() ) )
        {
            $this->setUsuarioCreacion( $o_CP_DocReciboBN->getUsuarioCreacion() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getFechaModificacion() ) )
        {
            $this->setFechaModificacion( $o_CP_DocReciboBN->getFechaModificacion() );
        }
        if ( !is_null( $o_CP_DocReciboBN->getUsuarioModificacion() ) )
        {
            $this->setUsuarioModificacion( $o_CP_DocReciboBN->getUsuarioModificacion() );
        }
    }

    /* Graba un nuevo registro */
    public function save()
    {
        $this->validateRecord();
        $o_CP_DocReciboFN = new CP_DocReciboFN();
        $o_CP_DocReciboBN = $o_CP_DocReciboFN->selectByPk( $this->getIdDocRecibo() );
        if ( is_null( $o_CP_DocReciboBN ) )
        {
            $s_SQLQuery1 = "INSERT INTO CP_DocRecibo ( ";
            $s_SQLQuery2 = "VALUES ( ";
            $s_Separator = "";
            if ( !is_null( $this->getIdDocRecibo() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdDocRecibo";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdDocRecibo()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCompania() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdCompania";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdCompania()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdSucursal() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdSucursal";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdSucursal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getParentId() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ParentId";
                $s_SQLQuery2 .= $s_Separator."".$this->getParentId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getParentCod() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ParentCod";
                $s_SQLQuery2 .= $s_Separator."'".$this->getParentCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdTipoPago() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdTipoPago";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdTipoPago()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdMoneda() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdMoneda";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIdMoneda()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMonedaDes() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MonedaDes";
                $s_SQLQuery2 .= $s_Separator."'".$this->getMonedaDes()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getReciboNumero() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ReciboNumero";
                $s_SQLQuery2 .= $s_Separator."'".$this->getReciboNumero()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getReciboFecha() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ReciboFecha";
                $s_SQLQuery2 .= $s_Separator."'".$this->getReciboFecha()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdBanco() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdBanco";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdBanco()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCuenta() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdCuenta";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdCuenta()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNumeroCuenta() ) )
            {
                $s_SQLQuery1 .= $s_Separator."NumeroCuenta";
                $s_SQLQuery2 .= $s_Separator."'".$this->getNumeroCuenta()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTerminoPago() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TerminoPago";
                $s_SQLQuery2 .= $s_Separator."".$this->getTerminoPago()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaVencimiento() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaVencimiento";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaVencimiento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdNumeroDocumento() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdNumeroDocumento";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIdNumeroDocumento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getClaseNombre() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ClaseNombre";
                $s_SQLQuery2 .= $s_Separator."'".$this->getClaseNombre()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoCambio() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TipoCambio";
                $s_SQLQuery2 .= $s_Separator."".$this->getTipoCambio()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdPersona() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdPersona";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdPersona()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoDocCliente() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TipoDocCliente";
                $s_SQLQuery2 .= $s_Separator."'".$this->getTipoDocCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNumTipoDocCliente() ) )
            {
                $s_SQLQuery1 .= $s_Separator."NumTipoDocCliente";
                $s_SQLQuery2 .= $s_Separator."'".$this->getNumTipoDocCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNombreCliente() ) )
            {
                $s_SQLQuery1 .= $s_Separator."NombreCliente";
                $s_SQLQuery2 .= $s_Separator."'".$this->getNombreCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDescripcion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Descripcion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDescripcion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMonto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Monto";
                $s_SQLQuery2 .= $s_Separator."".$this->getMonto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getSaldo() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Saldo";
                $s_SQLQuery2 .= $s_Separator."".$this->getSaldo()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getSaldoMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."SaldoMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getSaldoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoME() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoME";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoME()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getSaldoME() ) )
            {
                $s_SQLQuery1 .= $s_Separator."SaldoME";
                $s_SQLQuery2 .= $s_Separator."".$this->getSaldoME()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaAprobacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaAprobacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaAprobacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getApruebaUsuario() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ApruebaUsuario";
                $s_SQLQuery2 .= $s_Separator."'".$this->getApruebaUsuario()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCobranza() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaCobranza";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaCobranza()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCobranzaEstado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."CobranzaEstado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getCobranzaEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFlujoEstado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FlujoEstado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFlujoEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Estado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaModificacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaModificacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioModificacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioModificacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioModificacion()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery = $s_SQLQuery1." ) ".$s_SQLQuery2." );";
            if( $this->getDebug() ){ pr( $s_SQLQuery ); }
            $o_Resource = Conexion::getConexion();
            $o_Statement = $o_Resource->createStatement();
            $o_Statement->executeQuery( $s_SQLQuery );
        }
        else
        {
            throw new Exception( "El id ya esta registrado." );
        }
        return true;
    }

    /* Actualiza los datos del registro */
    public function update()
    {
        $this->validateRecord();
        if ( true )
        {
            $s_SQLQuery = "UPDATE CP_DocRecibo SET ";
            $s_Separator = "";
            if ( !is_null( $this->getIdCompania() ) )
            {
                $s_SQLQuery .= $s_Separator."IdCompania = ".$this->getIdCompania()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdSucursal() ) )
            {
                $s_SQLQuery .= $s_Separator."IdSucursal = ".$this->getIdSucursal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getParentId() ) )
            {
                $s_SQLQuery .= $s_Separator."ParentId = ".$this->getParentId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getParentCod() ) )
            {
                $s_SQLQuery .= $s_Separator."ParentCod = '".$this->getParentCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdTipoPago() ) )
            {
                $s_SQLQuery .= $s_Separator."IdTipoPago = ".$this->getIdTipoPago()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdMoneda() ) )
            {
                $s_SQLQuery .= $s_Separator."IdMoneda = '".$this->getIdMoneda()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMonedaDes() ) )
            {
                $s_SQLQuery .= $s_Separator."MonedaDes = '".$this->getMonedaDes()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getReciboNumero() ) )
            {
                $s_SQLQuery .= $s_Separator."ReciboNumero = '".$this->getReciboNumero()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getReciboFecha() ) )
            {
                $s_SQLQuery .= $s_Separator."ReciboFecha = '".$this->getReciboFecha()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdBanco() ) )
            {
                $s_SQLQuery .= $s_Separator."IdBanco = ".$this->getIdBanco()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCuenta() ) )
            {
                $s_SQLQuery .= $s_Separator."IdCuenta = ".$this->getIdCuenta()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNumeroCuenta() ) )
            {
                $s_SQLQuery .= $s_Separator."NumeroCuenta = '".$this->getNumeroCuenta()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTerminoPago() ) )
            {
                $s_SQLQuery .= $s_Separator."TerminoPago = ".$this->getTerminoPago()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaVencimiento() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaVencimiento = '".$this->getFechaVencimiento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdNumeroDocumento() ) )
            {
                $s_SQLQuery .= $s_Separator."IdNumeroDocumento = '".$this->getIdNumeroDocumento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getClaseNombre() ) )
            {
                $s_SQLQuery .= $s_Separator."ClaseNombre = '".$this->getClaseNombre()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoCambio() ) )
            {
                $s_SQLQuery .= $s_Separator."TipoCambio = ".$this->getTipoCambio()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdPersona() ) )
            {
                $s_SQLQuery .= $s_Separator."IdPersona = ".$this->getIdPersona()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoDocCliente() ) )
            {
                $s_SQLQuery .= $s_Separator."TipoDocCliente = '".$this->getTipoDocCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNumTipoDocCliente() ) )
            {
                $s_SQLQuery .= $s_Separator."NumTipoDocCliente = '".$this->getNumTipoDocCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNombreCliente() ) )
            {
                $s_SQLQuery .= $s_Separator."NombreCliente = '".$this->getNombreCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDescripcion() ) )
            {
                $s_SQLQuery .= $s_Separator."Descripcion = '".$this->getDescripcion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMonto() ) )
            {
                $s_SQLQuery .= $s_Separator."Monto = ".$this->getMonto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getSaldo() ) )
            {
                $s_SQLQuery .= $s_Separator."Saldo = ".$this->getSaldo()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoMN() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoMN = ".$this->getMontoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getSaldoMN() ) )
            {
                $s_SQLQuery .= $s_Separator."SaldoMN = ".$this->getSaldoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoME() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoME = ".$this->getMontoME()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getSaldoME() ) )
            {
                $s_SQLQuery .= $s_Separator."SaldoME = ".$this->getSaldoME()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaAprobacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaAprobacion = '".$this->getFechaAprobacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getApruebaUsuario() ) )
            {
                $s_SQLQuery .= $s_Separator."ApruebaUsuario = '".$this->getApruebaUsuario()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCobranza() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaCobranza = '".$this->getFechaCobranza()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCobranzaEstado() ) )
            {
                $s_SQLQuery .= $s_Separator."CobranzaEstado = '".$this->getCobranzaEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFlujoEstado() ) )
            {
                $s_SQLQuery .= $s_Separator."FlujoEstado = '".$this->getFlujoEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstado() ) )
            {
                $s_SQLQuery .= $s_Separator."Estado = '".$this->getEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaCreacion = '".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery .= $s_Separator."UsuarioCreacion = '".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaModificacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaModificacion = '".$this->getFechaModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioModificacion() ) )
            {
                $s_SQLQuery .= $s_Separator."UsuarioModificacion = '".$this->getUsuarioModificacion()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery .= " WHERE  IdDocRecibo = ".$this->getIdDocRecibo().";";
            if( $this->getDebug() ){ pr( $s_SQLQuery ); }

            $o_Resource = Conexion::getConexion();
            $o_Statement = $o_Resource->createStatement();
            $o_Statement->executeQuery( $s_SQLQuery );
        }
        else
        {
            throw new Exception( "El id no esta registrado." );
        }
        return true;
    }

    /* Elimina el registro */
    public function delete()
    {
        $s_SQLQuery = "DELETE FROM CP_DocRecibo WHERE  IdDocRecibo = ".$this->getIdDocRecibo().";";
        if( $this->getDebug() ){ pr( $s_SQLQuery ); }
        $o_Resource = Conexion::getConexion();
        $o_Statement = $o_Resource->createStatement();
        $o_Statement->executeQuery( $s_SQLQuery );
        return true;
    }

}
?>